Bug 127500 - Rerunning fc-cache gets me "squashed" version of Helvetica
Rerunning fc-cache gets me "squashed" version of Helvetica
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: fontconfig (Show other bugs)
2
athlon Linux
medium Severity low
: ---
: ---
Assigned To: Owen Taylor
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-07-08 18:55 EDT by J. J. Ramsey
Modified: 2007-11-30 17:10 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-30 16:09:17 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Screenshot of Slashdot with "scrunched" Helvetica (191.61 KB, image/png)
2004-07-08 18:56 EDT, J. J. Ramsey
no flags Details

  None (edit)
Description J. J. Ramsey 2004-07-08 18:55:33 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.6) Gecko/20040510

Description of problem:
I tried to remove some font aliases so that Mozilla would not display
Helvetica. (Anti-aliased Nimbus Sans L looks too fuzzy.) It appeared
that editing /etc/fonts/local.conf would not do the trick, so I backed
up /etc/fonts/fonts.conf, edited it, and ran fc-cache. This caused the
font used in OpenOffice's GUI to become "squashed", so I restored
/etc/fonts/fonts.conf from my backup and ran fc-cache again. No joy,
and Mozilla displays Helvetica (or really Nimbus Sans L) as squashed.
An attached screenshot of Slashdot.org shows the problem. Look at the
titles of the articles.


Version-Release number of selected component (if applicable):
fontconfig-2.2.1-10
Comment 1 J. J. Ramsey 2004-07-08 18:56:39 EDT
Created attachment 101734 [details]
Screenshot of Slashdot with "scrunched" Helvetica
Comment 2 J. J. Ramsey 2004-07-10 07:54:34 EDT
If I do

cd /usr/share/fonts/default/Type1
cp fonts.cache-1 > fonts.cache-1.bak
sort fonts.cache-1.bak > fonts.cache-1

then I solve the problem of Helvetica looking "scrunched". I do
however still have the problems described in bugs #109908 and #110137.
Comment 3 Owen Taylor 2004-09-30 16:09:17 EDT
* Thu Sep  2 2004 Owen Taylor <otaylor@redhat.com> - 2.2.3-3
- Backport code from head branch of fontconfig CVS to parse names
  for postscript fonts (fixes #127500, J. J. Ramsey)

Note You need to log in before you can comment on or make changes to this bug.